Skip to content

Search available Telnyx phone numbers for authenticated users

GET
/api/phone_numbers/available
curl --request GET \
--url https://example.com/api/phone_numbers/available \
--header 'Authorization: Bearer <token>'
area_code
string
state
string

Available phone numbers search results

Media typeapplication/json
Array<object>
object
phone_number
string
national_destination_code
string
monthly_cost
string
upfront_cost
string
currency
string
is_owned_pool
boolean
Example
[
{
"monthly_cost": "1.00",
"upfront_cost": "1.00",
"currency": "USD",
"is_owned_pool": false
}
]

Unauthorized

Forbidden